section.barre-de-recherche .textes .pre-titre{
    font-size: 20px;
    line-height: 36px;
    text-transform: uppercase;
    color: var(--noir);
    text-align: center;
}

section.barre-de-recherche{
    margin-bottom: var(--gutter);
    position: relative;
    z-index: 999;
}

section.barre-de-recherche .textes h1{
    font-size: 28px;
    line-height: 40px;
}

section.barre-de-recherche .forms-wrapper{
    padding: 10px;
}

section.barre-de-recherche .forms-wrapper .onglets{
    display: flex;
    margin-bottom: -1px;
}

section.barre-de-recherche .forms-wrapper .onglets .onglet{
    font-family: Crimson;
    font-size: 13px;
    line-height: 24px;
    color: #000000;
    padding: 8px 12px;
    border-width: 1px 1px 0 0;
    border-style: solid;
    border-color: var(--gris);
    cursor: pointer;
    background: #fff;
    text-align: center;
}

section.barre-de-recherche .forms-wrapper .onglets .onglet.active{
    background: #f4f5f4;
}

section.barre-de-recherche .forms-wrapper .forms{
    background: var(--gris);
    padding: 20px;
}

.home section.barre-de-recherche .forms-wrapper .onglets .onglet{
    background: #ffffffd4;
    border: 1px solid var(--bleu);
    border-bottom: none;
    opacity: .8;
}
.home section.barre-de-recherche .forms-wrapper .onglets .onglet:not(:last-child) {
    border-right: none;
}

.home section.barre-de-recherche .forms-wrapper .onglets .onglet:first-child {
    border-radius: 4px 0 0 0;
}

.home section.barre-de-recherche .forms-wrapper .onglets .onglet:last-child {
    border-radius: 0 4px 0 0;
}

.home section.barre-de-recherche .forms-wrapper .onglets .onglet.active{
    background: #f4f5f4;
    opacity: 1;
}


.home section.barre-de-recherche .forms-wrapper .forms{
    background: #f4f5f4;
    border-radius: 0 4px 4px 4px;
    border: 1px solid var(--bleu);
}

section.barre-de-recherche .forms-wrapper .forms .btn{
    width: 100%;
    -webkit-border-radius:0;
    border-radius:0;
}

section.barre-de-recherche .forms-wrapper .forms form{
    display: none;
    flex-direction: row;
    grid-gap: 10px;
    flex-wrap: wrap;
}

section.barre-de-recherche .forms-wrapper .forms form.active{
    display: flex;
}

section.barre-de-recherche .forms-wrapper .forms form#estimer{
    align-items: center;
    justify-content: space-between;
}

section.barre-de-recherche .forms-wrapper .forms form select.tom-select{
    max-height: 45px;
}
section.barre-de-recherche .forms-wrapper .forms form select.tom-select option{
    color: white;
}
.ts-control,
.ts-control input,
.ts-dropdown,
.ts-dropdown .option {
    font-family: 'Open Sans', sans-serif;
}
section.barre-de-recherche .forms-wrapper .forms form select{
    width: 100%;
    height:100%;
    background: #fff;
    border: none;
    padding: 10px;
    -webkit-appearance: none;
    appearance: none;
}

section.barre-de-recherche .forms-wrapper .forms form .select-wrapper .selected{
    color: var(--grisfonce);
    font-family: 'Open Sans',sans-serif;
    font-size: 14px;
    line-height: 19px;
    width: 100%;
    height: 100%;
    padding: 9px 10px;
    display: flex;
    align-items: center;

}

section.barre-de-recherche .forms-wrapper .forms form .select-wrapper svg{
    width: 10px;
    display: flex;
    transition: transform 0.3s ease;
    position: absolute;
    right: 11px;
    top: 50%;
    transform: translateY(-50%);
}

section.barre-de-recherche .forms-wrapper .forms form .select-wrapper svg.rotate{
    transform: translateY(-50%) rotate(180deg);
}

section.barre-de-recherche .forms-wrapper .forms form select option{
    font-family: 'Open Sans',sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
    color: var(--grisfonce);
}

section.barre-de-recherche .forms-wrapper .forms form .choices{
    flex-direction: column;
    z-index: 99;
    background: #fff;
    position: absolute;
    display: flex;
    bottom: 0;
    transform: translateY(100%);
    left: -1px;
    width: calc(100% + 2px);
    max-height: 320px;
    overflow-x: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

section.barre-de-recherche .forms-wrapper .forms form .choices::-webkit-scrollbar {
    display: none;
}

section.barre-de-recherche .forms-wrapper .forms form .choices div{
    display: flex;
    grid-gap: 10px;
    border: 1px solid var(--gris2);
    border-bottom: none;
    padding: 15px 10px;
    cursor: pointer;
}

section.barre-de-recherche .forms-wrapper .forms form .choices div:last-child{
    border-bottom: 1px solid var(--gris2);
}

section.barre-de-recherche .forms-wrapper .forms form .choices input[type=checkbox]{
    width: 0!important;
    height: 0;
    position: relative;
}

input[type=checkbox]:checked:before {
    background: var(--bleu) !important;
}

section.barre-de-recherche .forms-wrapper .forms form .choices label{
    font-family: 'Open Sans',sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
    color: var(--grisfonce);
    width: 100%;
    cursor: pointer;
}

section.barre-de-recherche .forms-wrapper .forms form .choices label > a {
    text-decoration: none; /* Supprimez tout soulignement des liens téléphoniques */
    pointer-events: none; /* Désactivez les événements de clic sur les liens téléphoniques */
    font-family: 'Open Sans',sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 19px;
    color: var(--grisfonce);
    width: 100%;
    cursor: pointer;
}

section.barre-de-recherche .forms-wrapper .forms form > input:not(.btn){
    padding: 10px;
    color: var(--grisfonce);
    font-family: 'Open Sans',sans-serif;
    font-size: 14px;
    line-height: 19px;
}

section.barre-de-recherche .forms-wrapper .forms form input[type='number'] {
    -moz-appearance:textfield;
}

section.barre-de-recherche .forms-wrapper .forms form input::-webkit-outer-spin-button,
section.barre-de-recherche .forms-wrapper .forms form input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

section.barre-de-recherche .forms-wrapper .forms form > input:not(.btn),
section.barre-de-recherche .forms-wrapper .forms form .select-wrapper{
    height: 39px;
    width: 100%;
    border: 1px solid var(--gris2);
    position: relative;
}

section.barre-de-recherche .forms-wrapper .forms form .select-wrapper{
    height: unset;
    background: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
}

section.barre-de-recherche .forms-wrapper .forms form input[type='checkbox']{
    height: 20px;
    width: 20px;
    border-radius: 0;
    appearance: none;
    border-color: #000;
    margin: 0;
    cursor: pointer;
}

section.barre-de-recherche .forms-wrapper .forms form input[type='checkbox']:checked{
    position: relative;
    background: none;
    border-color: var(--bleu);
}

section.barre-de-recherche .forms-wrapper .forms form input[type='checkbox']:checked + label{
    color: var(--bleu);
    font-weight: 600;
}

section.barre-de-recherche .forms-wrapper .forms form input[type='checkbox']:checked + label > a{
    color: var(--bleu);
    font-weight: 600;
}

/* add checkmark */
section.barre-de-recherche .forms-wrapper .forms form input[type='checkbox']:checked::after{
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10px;
    height: 10px;
    background: var(--bleu);
}

/*section.barre-de-recherche .forms-wrapper .forms form .select-wrapper::after{
    content: url(../../../assets/svg/chevron-down.svg);
    display: block;
    position: absolute;
    right: 11px;
    top: 50%;
    transform: translateY(-50%);
    width: 10px;
}*/

section.barre-de-recherche .forms-wrapper .forms form input:not(.btn)::placeholder{
    color: var(--grisfonce);
    font-family: 'Open Sans';
    font-size: 14px;
    line-height: 19px;
}

section.barre-de-recherche .forms-wrapper .forms form input.surface,
section.barre-de-recherche .forms-wrapper .forms form input.budget{
    width: calc(50% - 5px);
}

section.barre-de-recherche .forms-wrapper .forms form input:focus,
section.barre-de-recherche .forms-wrapper .forms form select:focus{
    border-color: var(--grisfonce);
}

section.barre-de-recherche .forms-wrapper form#estimer > div{
    font-size: 18px;
}

@media screen and (min-width: 768px){
    section.barre-de-recherche{
        /*padding-bottom: 80px;*/
    }

    section.barre-de-recherche .forms-wrapper{
        margin: var(--gutter) auto 0 auto;
    }

    body.home section.barre-de-recherche .forms-wrapper{
        width: 100%;
        position: absolute;
        top: -330px;
        left: 50%;
        transform: translateX(-50%);
    }

    section.barre-de-recherche .forms-wrapper .onglets .onglet{
        font-size: 18px;
        padding: 10px 15px;
    }

    section.barre-de-recherche .forms-wrapper .forms form{
        grid-gap: 20px;
        flex-wrap: unset;
    }

    section.barre-de-recherche .forms-wrapper .forms form > input:not(.btn):not([type='checkbox']),
    section.barre-de-recherche .forms-wrapper .forms form .select-wrapper,
    section.barre-de-recherche .forms-wrapper .forms form .ts-wrapper {
        min-height: 45px;
    }

    section.barre-de-recherche .forms-wrapper .forms form .ts-wrapper .ts-control {
        height: 100%;
    }

    section.barre-de-recherche .forms-wrapper .forms form .select-wrapper:first-child,
    section.barre-de-recherche .forms-wrapper .forms form .ts-wrapper:first-child {
        width: 30%;
    }

    section.barre-de-recherche .forms-wrapper .forms form select.tom-select,
    section.barre-de-recherche .forms-wrapper .forms form .select-wrapper,
    section.barre-de-recherche .forms-wrapper .forms form .ts-wrapper{
        width: calc(21.5% - 10px);
    }

    section.barre-de-recherche .forms-wrapper .forms form input.surface,
    section.barre-de-recherche .forms-wrapper .forms form input.budget{
        width: calc(15% - 10px);
    }

    section.barre-de-recherche .forms-wrapper .forms form input.localisation{
        width: calc(76.5% - 10px);
    }

    section.barre-de-recherche .forms-wrapper .forms form.restricted-tdb .ts-wrapper {
        width: calc(43% - 10px);
    }

    section.barre-de-recherche .forms-wrapper .forms .btn{
        width: calc(23.5% - 10px);
        margin-left: auto;
    }
}

@media screen and (min-width: 992px){
    section.barre-de-recherche .forms-wrapper .forms form .select-wrapper:first-child{
        width: calc(21.5% - 10px);
    }
}

@media screen and (max-width: 767px) {
    section.barre-de-recherche .forms-wrapper .onglets .onglet {
        flex-grow: 1;
    }
    section.barre-de-recherche .forms-wrapper .forms {
        border-top-right-radius: 0!important;
    }
}
